# Generated by Django 2.1.2 on 2018-12-05 15:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Actor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstName', models.CharField(max_length=250)),
                ('lastName', models.CharField(max_length=250, null=True)),
                ('bornDate', models.DateField(null=True)),
                ('bio', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=25)),
                ('libelle', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Director',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstName', models.CharField(max_length=250)),
                ('lastName', models.CharField(max_length=250, null=True)),
                ('bornDate', models.DateField(null=True)),
                ('bio', models.TextField()),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Country')),
            ],
        ),
        migrations.CreateModel(
            name='Film',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('originalName', models.CharField(max_length=250, null=True)),
                ('description', models.TextField()),
                ('duration', models.IntegerField(null=True)),
                ('public', models.CharField(max_length=250, null=True)),
                ('releaseDate', models.DateField(null=True)),
                ('rating', models.FloatField(null=True)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Country')),
                ('director', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Director')),
            ],
        ),
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('films', models.ManyToManyField(to='mainApp.Film')),
            ],
        ),
        migrations.AddField(
            model_name='actor',
            name='country',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Country'),
        ),
        migrations.AddField(
            model_name='actor',
            name='films',
            field=models.ManyToManyField(to='mainApp.Film'),
        ),
    ]
